/* Algebraic */
#include "FmuExportCrossCompile_model.h"

#ifdef __cplusplus
extern "C" {
#endif


/* forwarded equations */
extern void FmuExportCrossCompile_eqFunction_8(DATA* data, threadData_t *threadData);
extern void FmuExportCrossCompile_eqFunction_12(DATA* data, threadData_t *threadData);

static void functionAlg_system0(DATA *data, threadData_t *threadData)
{
  {
    FmuExportCrossCompile_eqFunction_8(data, threadData);
    threadData->lastEquationSolved = 8;
  }
  {
    FmuExportCrossCompile_eqFunction_12(data, threadData);
    threadData->lastEquationSolved = 12;
  }
}
/* for continuous time variables */
int FmuExportCrossCompile_functionAlgebraics(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

#if !defined(OMC_MINIMAL_RUNTIME)
  if (measure_time_flag) rt_tick(SIM_TIMER_ALGEBRAICS);
#endif
  data->simulationInfo->callStatistics.functionAlgebraics++;

  FmuExportCrossCompile_function_savePreSynchronous(data, threadData);
  
  functionAlg_system0(data, threadData);

#if !defined(OMC_MINIMAL_RUNTIME)
  if (measure_time_flag) rt_accumulate(SIM_TIMER_ALGEBRAICS);
#endif

  TRACE_POP
  return 0;
}

#ifdef __cplusplus
}
#endif
