#include "simulation_data.h"

OMC_DISABLE_OPT
void FmuExportCrossCompile_read_input_fmu(MODEL_DATA* modelData, SIMULATION_INFO* simulationInfo)
{
  simulationInfo->startTime = 0.0;
  simulationInfo->stopTime = 0.45;
  simulationInfo->stepSize = 0.001;
  simulationInfo->tolerance = 1e-6;
  simulationInfo->solverMethod = "dassl";
  simulationInfo->outputFormat = "mat";
  simulationInfo->variableFilter = ".*";
  simulationInfo->OPENMODELICAHOME = "/var/lib/jenkins1/ws/OpenModelica_PR-11632/build/bin/..";
  modelData->realVarsData[0].info.id = 1000;
  modelData->realVarsData[0].info.name = "h";
  modelData->realVarsData[0].info.comment = "";
  modelData->realVarsData[0].info.info.filename = "<interactive>";
  modelData->realVarsData[0].info.info.lineStart = 4;
  modelData->realVarsData[0].info.info.colStart = 3;
  modelData->realVarsData[0].info.info.lineEnd = 4;
  modelData->realVarsData[0].info.info.colEnd = 30;
  modelData->realVarsData[0].info.info.readonly = 0;
  modelData->realVarsData[0].attribute.unit = "";
  modelData->realVarsData[0].attribute.displayUnit = "";
  modelData->realVarsData[0].attribute.min = -DBL_MAX;
  modelData->realVarsData[0].attribute.max = DBL_MAX;
  modelData->realVarsData[0].attribute.fixed = 1;
  modelData->realVarsData[0].attribute.useNominal = 0;
  modelData->realVarsData[0].attribute.nominal = 1.0;
  modelData->realVarsData[0].attribute.start = 1.0;
  modelData->realVarsData[1].info.id = 1001;
  modelData->realVarsData[1].info.name = "v";
  modelData->realVarsData[1].info.comment = "";
  modelData->realVarsData[1].info.info.filename = "<interactive>";
  modelData->realVarsData[1].info.info.lineStart = 5;
  modelData->realVarsData[1].info.info.colStart = 3;
  modelData->realVarsData[1].info.info.lineEnd = 5;
  modelData->realVarsData[1].info.info.colEnd = 30;
  modelData->realVarsData[1].info.info.readonly = 0;
  modelData->realVarsData[1].attribute.unit = "";
  modelData->realVarsData[1].attribute.displayUnit = "";
  modelData->realVarsData[1].attribute.min = -DBL_MAX;
  modelData->realVarsData[1].attribute.max = DBL_MAX;
  modelData->realVarsData[1].attribute.fixed = 1;
  modelData->realVarsData[1].attribute.useNominal = 0;
  modelData->realVarsData[1].attribute.nominal = 1.0;
  modelData->realVarsData[1].attribute.start = 0.0;
  modelData->realVarsData[2].info.id = 1002;
  modelData->realVarsData[2].info.name = "der(h)";
  modelData->realVarsData[2].info.comment = "";
  modelData->realVarsData[2].info.info.filename = "<interactive>";
  modelData->realVarsData[2].info.info.lineStart = 4;
  modelData->realVarsData[2].info.info.colStart = 3;
  modelData->realVarsData[2].info.info.lineEnd = 4;
  modelData->realVarsData[2].info.info.colEnd = 30;
  modelData->realVarsData[2].info.info.readonly = 0;
  modelData->realVarsData[2].attribute.unit = "";
  modelData->realVarsData[2].attribute.displayUnit = "";
  modelData->realVarsData[2].attribute.min = -DBL_MAX;
  modelData->realVarsData[2].attribute.max = DBL_MAX;
  modelData->realVarsData[2].attribute.fixed = 0;
  modelData->realVarsData[2].attribute.useNominal = 0;
  modelData->realVarsData[2].attribute.nominal = 1.0;
  modelData->realVarsData[2].attribute.start = 0.0;
  modelData->realVarsData[3].info.id = 1003;
  modelData->realVarsData[3].info.name = "der(v)";
  modelData->realVarsData[3].info.comment = "";
  modelData->realVarsData[3].info.info.filename = "<interactive>";
  modelData->realVarsData[3].info.info.lineStart = 5;
  modelData->realVarsData[3].info.info.colStart = 3;
  modelData->realVarsData[3].info.info.lineEnd = 5;
  modelData->realVarsData[3].info.info.colEnd = 30;
  modelData->realVarsData[3].info.info.readonly = 0;
  modelData->realVarsData[3].attribute.unit = "";
  modelData->realVarsData[3].attribute.displayUnit = "";
  modelData->realVarsData[3].attribute.min = -DBL_MAX;
  modelData->realVarsData[3].attribute.max = DBL_MAX;
  modelData->realVarsData[3].attribute.fixed = 0;
  modelData->realVarsData[3].attribute.useNominal = 0;
  modelData->realVarsData[3].attribute.nominal = 1.0;
  modelData->realVarsData[3].attribute.start = 0.0;
  modelData->realVarsData[4].info.id = 1004;
  modelData->realVarsData[4].info.name = "v_new";
  modelData->realVarsData[4].info.comment = "";
  modelData->realVarsData[4].info.info.filename = "<interactive>";
  modelData->realVarsData[4].info.info.lineStart = 6;
  modelData->realVarsData[4].info.info.colStart = 3;
  modelData->realVarsData[4].info.info.lineEnd = 6;
  modelData->realVarsData[4].info.info.colEnd = 34;
  modelData->realVarsData[4].info.info.readonly = 0;
  modelData->realVarsData[4].attribute.unit = "";
  modelData->realVarsData[4].attribute.displayUnit = "";
  modelData->realVarsData[4].attribute.min = -DBL_MAX;
  modelData->realVarsData[4].attribute.max = DBL_MAX;
  modelData->realVarsData[4].attribute.fixed = 1;
  modelData->realVarsData[4].attribute.useNominal = 0;
  modelData->realVarsData[4].attribute.nominal = 1.0;
  modelData->realVarsData[4].attribute.start = 0.0;
  modelData->realParameterData[0].info.id = 1005;
  modelData->realParameterData[0].info.name = "e";
  modelData->realParameterData[0].info.comment = "";
  modelData->realParameterData[0].info.info.filename = "<interactive>";
  modelData->realParameterData[0].info.info.lineStart = 2;
  modelData->realParameterData[0].info.info.colStart = 3;
  modelData->realParameterData[0].info.info.lineEnd = 2;
  modelData->realParameterData[0].info.info.colEnd = 23;
  modelData->realParameterData[0].info.info.readonly = 0;
  modelData->realParameterData[0].attribute.unit = "";
  modelData->realParameterData[0].attribute.displayUnit = "";
  modelData->realParameterData[0].attribute.min = -DBL_MAX;
  modelData->realParameterData[0].attribute.max = DBL_MAX;
  modelData->realParameterData[0].attribute.fixed = 1;
  modelData->realParameterData[0].attribute.useNominal = 0;
  modelData->realParameterData[0].attribute.nominal = 1.0;
  modelData->realParameterData[0].attribute.start = 0.7;
  modelData->realParameterData[1].info.id = 1006;
  modelData->realParameterData[1].info.name = "g";
  modelData->realParameterData[1].info.comment = "";
  modelData->realParameterData[1].info.info.filename = "<interactive>";
  modelData->realParameterData[1].info.info.lineStart = 3;
  modelData->realParameterData[1].info.info.colStart = 3;
  modelData->realParameterData[1].info.info.lineEnd = 3;
  modelData->realParameterData[1].info.info.colEnd = 24;
  modelData->realParameterData[1].info.info.readonly = 0;
  modelData->realParameterData[1].attribute.unit = "";
  modelData->realParameterData[1].attribute.displayUnit = "";
  modelData->realParameterData[1].attribute.min = -DBL_MAX;
  modelData->realParameterData[1].attribute.max = DBL_MAX;
  modelData->realParameterData[1].attribute.fixed = 1;
  modelData->realParameterData[1].attribute.useNominal = 0;
  modelData->realParameterData[1].attribute.nominal = 1.0;
  modelData->realParameterData[1].attribute.start = 9.81;
  modelData->booleanVarsData[0].info.id = 1007;
  modelData->booleanVarsData[0].info.name = "$whenCondition1";
  modelData->booleanVarsData[0].info.comment = "h <= 0.0";
  modelData->booleanVarsData[0].info.info.filename = "<interactive>";
  modelData->booleanVarsData[0].info.info.lineStart = 12;
  modelData->booleanVarsData[0].info.info.colStart = 5;
  modelData->booleanVarsData[0].info.info.lineEnd = 12;
  modelData->booleanVarsData[0].info.info.colEnd = 22;
  modelData->booleanVarsData[0].info.info.readonly = 0;
  modelData->booleanVarsData[0].attribute.fixed = 1;
  modelData->booleanVarsData[0].attribute.start = 0;
}